#!/bin/bash

# RP Program Update Script

# Text Colours
bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}


desktop=$XDG_CURRENT_DESKTOP

if [[ "$desktop" == GNOME ]]; then
	echo ${bold}${yellow}GNOME Detected - Updating GNOME Program Pkg${normal}
	
    mkdir cosmetics
    cd cosmetics
    wget -O cosmetics.zip https://files.rp1.hu/api/public/dl/K7znaGkC/
    unzip cosmetics.zip
    curl -Ls https://links.rp1.hu/3progs -o /home/$USER/.progs/3progs.sh
    rsync -ap --info=progress2 content/. /home/$USER/.progs/
    cd
    rm -rf cosmetics
    echo ${bold}${yellow}GNOME Program Pkg Updated successfully!${normal}
        
  else
  	echo ${bold}${yellow}KDE Detected - Updating KDE Program Pkg${normal}
  	
    mkdir cosmetics
    cd cosmetics
    wget -O cosmetics-kde.zip https://files.rp1.hu/api/public/dl/hplmYZoB/
    unzip cosmetics-kde.zip
    curl -Ls https://links.rp1.hu/3progs -o /home/$USER/.progs/3progs.sh
    rsync -ap --info=progress2 content/. /home/$USER/.progs/
    cd
    rm -rf cosmetics
    echo ${bold}${yellow}KDE Program Pkg Updated successfully!${normal}
fi

sudo sed -i '213d' /usr/local/bin/rave
sudo sed -i '216d' /usr/local/bin/rave
sudo sed -i '217d' /usr/local/bin/rave
sudo sed -i '216 i yay -Syyu --noconfirm' /usr/local/bin/rave
sudo sed -i '216 i flatpak update -y' /usr/local/bin/rave
sudo sed -i '217 i flatpak uninstall --unused -y' /usr/local/bin/rave

zenity --info --text='Program Csomag Frissitve! Nincs szukseg ujrainditasra!'